%define momorel 1
Summary: The zlib compression and decompression library.
name: zlib
Version: 1.2.1
Release: %{momorel}m
Group: System Environment/Libraries
#Source: ftp://ftp.info-zip.org/pub/infozip/zlib/%{name}-%{version}.tar.gz
Source: http://www.gzip.org/zlib/%{name}-%{version}.tar.gz
NoSource: 0
#Patch0: zlib-1.1.3-glibc.patch
#Patch1: http://www.securityfocus.com/data/vulnerabilities/patches/zlib-1.1.4-3-vsnprintf.patch
#NoPatch: 1
Url: http://www.gzip.org/zlib/
License: BSD
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The zlib compression library provides in-memory compression and
decompression functions, including integrity checks of the
uncompressed data.  This version of the library supports only one
compression method (deflation), but other algorithms may be added
later, which will have the same stream interface.  The zlib library is
used by many different system programs.

%package devel
Summary: Header files and libraries for developing apps which will use zlib.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.

Install the zlib-devel package if you want to develop applications that
will use the zlib library.

%prep
%setup -q
#%patch0 -p1 -b .glibc
#%patch1 -p1 -b .vsnprintf

%build
CFLAGS="%{optflags} -fPIC -DHAS_vsnprintf -DHAS_snprintf" \
    ./configure --shared --prefix=%{_prefix}
make %{?_smp_mflags} test
# now build the static lib
CFLAGS="%{optflags} -DHAS_vsnprintf -DHAS_snprintf" \
    ./configure --prefix=%{_prefix}
make %{?_smp_mflags} test

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}

CFLAGS="%{optflags} -fPIC -DHAS_vsnprintf -DHAS_snprintf" \
    ./configure --shared --prefix=%{_prefix}
make install prefix=%{buildroot}%{_prefix}

CFLAGS="%{optflags} -DHAS_vsnprintf -DHAS_snprintf" \
    ./configure --prefix=%{_prefix}
make install prefix=%{buildroot}%{_prefix}

install -m644 zutil.h %{buildroot}%{_includedir}/zutil.h
mkdir -p %{buildroot}%{_mandir}/man3
install -m644 zlib.3 %{buildroot}%{_mandir}/man3

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libz.so.*

%files devel
%defattr(-,root,root)
%doc README ChangeLog algorithm.txt
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/*.a
%{_mandir}/man3/zlib.3*

%changelog
* Wed Jun 9 2004 IWAMOTO Kazuya <iwapi@momonga-linux.org>
- (1.2.1-1m)
- versionup 1.1.4-6m -> 1.2.1-1m

* Tue May 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1.4-6m)
- add -fPIC
- %%{_smp_mflags}
- do test

* Thu Apr 03 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.4-5m)
- use rpm macros
- add Patch1 zlib-1.1.4-3-vsnprintf.patch
  from http://www.securityfocus.com/bid/6913/solution/

* Mon Feb 24 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.4-4m)
  added CFLAGS -DHAS_vsnprintf and -DHAS_snprintf
  see http://www.securityfocus.com/archive/1/312869/2003-02-21/2003-02-27/0

* Sat Oct 12 2002 Nguyen Hung Vu <vuhung@momonga-linux.org>
- (1.1.4-3m)
- change the k prefix to m

* Tue Mar 12 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.1.4-2k)
- update to 1.1.4 for CERT advisory (from tamo)
- see http://www.gzip.org/zlib/advisory-2002-03-11.txt

* Wed Nov 21 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.1.3-14k)
- change "URL" and "Source0" (was wrong...)

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sun Apr 02 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2(release 6)

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man page.

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- link against glibc

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.1.3

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.2
- buildroot

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>
- added URL tag (down at the moment so it may not be correct)
- made zlib-devel require zlib

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
